# BackupsReportItem Object

## Description

Specifies details of a backup reported by a backups report.

## Properties

### actionExecutionId

ID of the action execution that created the backup.

Type: `string`

### actionId

ID of the action that created the backup.

Type: `string`

### actionName

Name of the action that created the backup.

Type: `string`

### actionVersionId

Version ID of the action that created the backup.

Type: `string`

### backupId

ID of the backup.

Type: `string`

### backupSize

Size of the backup, in GB.

Type: `integer`

### backupType

Type of backup that was created.

Type: `string`

Valid Values:

* `amazon-ami-image`
* `amazon-ebs-snapshot`
* `amazon-rds-cluster-snapshot`
* `amazon-rds-snapshot`

### createdDate

Date on which the backup was created. The date is in ISO 8601 format.

Type: `string`

### credentialId

Credential ID of the account in which the backup was created.

Type: `string`

### credentialName

Name of the credential in which account the backup was created.

Type: `string`

### projectId

ID of the project in which the action that created the backup resides.

Type: `string`

### regionName

Region in which the backup was created.

Type: `string`

### sourceId

Resource ID of the resource from which the backup was created.

Type: `string`

### sourceType

Resource type of the resource from which the backup was created.

Type: `string`

## Sample JSON

```javascript
{
    "projectId": "proj-00000000",
    "createdDate": "2020-12-31T00:00:00Z",
    "regionName": "us-east-1",
    
    "backupType": "amazon-ami-image",
    "backupId": "ami-00000000",
    "backupSize": 30,
    
    "sourceType": "amazon-ec2-instance",
    "sourceId": "i-00000000",
    
    "actionExecutionId": "ae-00000000",
    
    "actionId": "a-00000000",
    "actionVersionId": "av-00000000",
    "actionName": "Backup Servers",
    
    "credentialId": "cred-00000000",
    "credentialName": "Cloud Account"
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.skeddly.com/data-types/backupsreportitem-object.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
